org.eclipse.zest.core.widgets

## Class CGraphNode

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Item
    - - org.eclipse.zest.core.widgets.GraphItem
      - - org.eclipse.zest.core.widgets.GraphNode
        - - org.eclipse.zest.core.widgets.CGraphNode

    public class CGraphNode
    extends GraphNode

A Custom Graph Node

### Field Summary

### Fields inherited from class org.eclipse.zest.core.widgets.GraphNode

`graph, HIGHLIGHT_NONE, HIGHLIGHT_ON, highlighted, internalNode, nodeFigure, parent, size`

### Fields inherited from class org.eclipse.zest.core.widgets.GraphItem

`CONNECTION, CONTAINER, GRAPH, NODE`

### Constructor Summary

Constructors
Constructor and Description
`CGraphNode(IContainer graphModel, int style, IFigure figure)`

### Method Summary

Methods
`protected IFigure` `createFigureForModel()`
`Color` `getBackgroundColor()` Get the background colour for this node.
`IFigure` `getFigure()`
`Font` `getFont()`
`Color` `getForegroundColor()` Get the foreground colour for this node
`void` `setBackgroundColor(Color c)` Permanently sets the background color (unhighlighted).
`void` `setFont(Font font)`
`protected void` `updateFigureForModel(IFigure currentFigure)`

### Methods inherited from class org.eclipse.zest.core.widgets.GraphNode

`cacheLabel, dispose, fishEye, getBorderColor, getBorderHighlightColor, getBorderWidth, getGraphModel, getHighlightColor, getItemType, getLayoutEntity, getLocation, getNodeFigure, getNodeStyle, getSize, getSourceConnections, getStyle, getTargetConnections, getTooltip, highlight, initFigure, initModel, isDisposed, isSelected, isSizeFixed, isVisible, refreshLocation, setBorderColor, setBorderHighlightColor, setBorderWidth, setCacheLabel, setForegroundColor, setHighlightColor, setImage, setLocation, setNodeStyle, setSize, setText, setTooltip, setVisible, toString, unhighlight`

### Methods inherited from class org.eclipse.zest.core.widgets.GraphItem

`checkStyle`

### Methods inherited from class org.eclipse.swt.widgets.Item

`checkSubclass, getImage, getText`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CGraphNode

    public CGraphNode(IContainer graphModel,
              int style,
              IFigure figure)

### Method Detail

#### getFigure

    public IFigure getFigure()

#### createFigureForModel

    protected IFigure createFigureForModel()

Overrides:
  `createFigureForModel` in class `GraphNode`

#### setBackgroundColor

    public void setBackgroundColor(Color c)

Description copied from class: `GraphNode`
Permanently sets the background color (unhighlighted). This color has no effect if a custom figure has been set.

Overrides:
  `setBackgroundColor` in class `GraphNode`

#### setFont

    public void setFont(Font font)

Overrides:
  `setFont` in class `GraphNode`

#### getBackgroundColor

    public Color getBackgroundColor()

Description copied from class: `GraphNode`
Get the background colour for this node. This is the color the node will be if it is not currently highlighted. This color is meaningless if a custom figure has been set.

Overrides:
  `getBackgroundColor` in class `GraphNode`

#### getFont

    public Font getFont()

Overrides:
  `getFont` in class `GraphNode`

#### getForegroundColor

    public Color getForegroundColor()

Description copied from class: `GraphNode`
Get the foreground colour for this node

Overrides:
  `getForegroundColor` in class `GraphNode`

#### updateFigureForModel

    protected void updateFigureForModel(IFigure currentFigure)

Overrides:
  `updateFigureForModel` in class `GraphNode`